<?php

namespace App\ViewModels\Loja\LojaChangeStatusViewModel;

use App\Utils\Builder;

class LojaChangeStatusViewModelBuilder implements Builder {
	protected $id;
	protected $id_unidade;
	protected $id_status;
	protected $alterado_por;
	protected $data_alteracao;
	protected $hora_alteracao;

	public function build(): LojaChangeStatusViewModel {

		$obj = new LojaChangeStatusViewModel();

		$obj->setId( $this->id );
		$obj->setIdUnidade( $this->id_unidade );
		$obj->setIdStatus( $this->id_status );
		$obj->setAlteradoPor( $this->alterado_por );
		$obj->setDataAlteracao( $this->data_alteracao );
		$obj->setHoraAlteracao( $this->hora_alteracao );

		return $obj;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): LojaChangeStatusViewModelBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade): LojaChangeStatusViewModelBuilder {

		$this->id_unidade = $id_unidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status): LojaChangeStatusViewModelBuilder {

		$this->id_status = $id_status;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setAlteradoPor($alterado_por): LojaChangeStatusViewModelBuilder {

		$this->alterado_por = $alterado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao): LojaChangeStatusViewModelBuilder {

		$this->data_alteracao = $data_alteracao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao): LojaChangeStatusViewModelBuilder {

		$this->hora_alteracao = $hora_alteracao;
		return $this;

	}

}

